Index: gsdl/trunk/collect/demo/etc/collect.cfg
===================================================================
--- gsdl/trunk/collect/demo/etc/collect.cfg	(revision 18585)
+++ gsdl/trunk/collect/demo/etc/collect.cfg	(revision 18586)
@@ -6,5 +6,4 @@
 searchtypes	plain,form
 
-#indexes	section:text section:Title document:text
 indexes		text dls.Title,Title dls.Subject dls.Organization dls.Keyword
 
@@ -17,9 +16,9 @@
 plugin		DirectoryPlugin
 
-classify	AZList -metadata dls.Title
+classify	List -metadata dls.Title
 
 classify	Hierarchy -metadata dls.Subject -sort dls.Title
 
-classify	AZCompactList -metadata dls.Organization -sort dls.Title 
+classify	List -metadata dls.Organization -always_bookshelf_last_level -sort_leaf_nodes_using dls.Title 
 
 classify	List -metadata dls.Keyword -buttonname Howto
@@ -53,8 +52,4 @@
 collectionmeta .section [l=en] "chapter"
 
-#collectionmeta	.section:text [l=en] "chapters"
-#collectionmeta	.section:Title [l=en] "section titles"
-#collectionmeta	.document:text [l=en] "entire documents"
-
 collectionmeta	depositormetadata [l=en] "{\"name\":\"dls.Title\",\"label\":\"Title\",\"tooltip\":\"dls.Title: The title of this resource.\",\"type\":\"text\"}, {\"name\":\"dls.Organization\",\"label\":\"Organization\",\"tooltip\":\"dls.Organization: The organization responsible for producing this resource.\",\"type\":\"text\"}, {\"name\":\"dls.Subject\",\"label\":\"Subject\",\"tooltip\":\"dls.Subject: The subject of this resource.\",\"type\":\"text\"}, {\"name\":\"dls.Keyword\",\"label\":\"Keyword\",\"tooltip\":\"dls.Keyword: A more specific indication of what the resource can be used for.\",\"type\":\"text\"}, {\"name\":\"dls.Language\",\"label\":\"Language\",\"tooltip\":\"dls.Language: The language of this resource.\",\"type\":\"text\"}"
 
@@ -63,15 +58,7 @@
 collectionmeta	collectionextra [l=fr] "Il s\'agit d\'une collection de dÃ©monstration pour le logiciel Greenstone. Elle contient seulement un petit Ã©chantillon des BibliothÃšques humanitaires pour le DÃ©veloppement (11 documents)."
 
-collectionmeta	.section:text [l=fr] "chapitres"
-collectionmeta	.section:Title [l=fr] "titres des sections"
-collectionmeta	.document:text [l=fr] "documents entiers"
-
 # -- Spanish strings ----------------
 collectionmeta	collectionname [l=es] "ColecciÃ³n de muestra Greenstone"
 collectionmeta	collectionextra [l=es] "Esta es una colecciÃ³n de demostraciÃ³n del programa Greenstone. Contiene un pequeÃ±o subconjunto (11 documentos) de las Bibliotecas Humanitarias para el Desarrollo."
-
-collectionmeta	.section:text [l=es] "capÃ­tulos"
-collectionmeta	.section:Title [l=es] "tÃ­tulos de las secciones"
-collectionmeta	.document:text [l=es] "documentos enteros"
 
 # -- Russian strings ----------------
@@ -79,21 +66,9 @@
 collectionmeta	collectionextra [l=ru] "Ð­ÑÐŸ - ÐŽÐµÐŒÐŸÐœÑÑÑÐ°ÑÐžÐŸÐœÐœÐ°Ñ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ Ð¿ÑÐŸÐ³ÑÐ°ÐŒÐŒÐœÐŸÐ³ÐŸ ÐŸÐ±ÐµÑÐ¿ÐµÑÐµÐœÐžÑ ÑÐžÑÑÐŸÐ²ÐŸÐ¹ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž Greenstone. ÐÐœÐ° ÑÐŸÐŽÐµÑÐ¶ÐžÑ ÐœÐµÐ±ÐŸÐ»ÑÑÐŸÐ¹ Ð¿ÐŸÐŽÐœÐ°Ð±ÐŸÑ (11 ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ²) ÐÑÐŒÐ°ÐœÐžÑÐ°ÑÐœÐŸÐ¹ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž Ðž ÐÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž ÑÐ°Ð·Ð²ÐžÑÐžÑ."
 
-collectionmeta	.section:text [l=ru] "ÐÐ»Ð°Ð²Ñ"
-collectionmeta	.section:Title [l=ru] "ÐÐ°Ð·Ð²Ð°ÐœÐžÑ ÑÐ°Ð·ÐŽÐµÐ»ÐŸÐ²"
-collectionmeta	.document:text [l=ru] "ÐÐŸÐ»ÐœÑÐµ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ"
-
 # -- Armenian strings ----------------
 collectionmeta	collectionextra [l=hy] "ÕÕ¡ Ô³ÖÕ«Õ¶ÕœÕ©ÕžÕžÖÕ¶ Õ©ÕŸÕ¡ÕµÕ«Õ¶ Õ£ÖÕ¡Õ€Õ¡ÖÕ¡Õ¶Õ« ÖÕžÖÖÕ¡Õ€ÖÕ¡Õ¯Õ¡Õ¶ Õ¶ÕŽÕžÖÕ· Õ§Ö Ô±ÕµÕ¶ ÕºÕ¡ÖÕžÖÕ¶Õ¡Õ¯ÕžÖÕŽ Õ§ Õ°Õ¡ÕœÕ¡ÖÕ¡Õ¯Õ¡Õ£Õ«Õ¿Õ¡Õ¯Õ¡Õ¶ Ö ÕŠÕ¡ÖÕ£Õ¡ÖÕŽÕ¡Õ¶ Õ¢Õ¶Õ¡Õ£Õ¡ÕŸÕ¡ÕŒÕ¶Õ¥ÖÕ« 11 ÖÕ¡ÕœÕ¿Õ¡Õ©Õ²Õ©Õ¥ÖÕ« Õ°Õ¡ÕŸÕ¡ÖÕ¡Õ®ÕžÖ"
 
-collectionmeta	.section:text [l=hy] "Ô²Õ¡ÕªÕ«Õ¶Õ¶Õ¥Ö"
-collectionmeta	.section:Title [l=hy] "Ô²Õ¡ÕªÕ«Õ¶Õ¶Õ¥ÖÕ« ÕŸÕ¥ÖÕ¶Õ¡Õ£ÖÕ¥Ö"
-collectionmeta	.document:text [l=hy] "ÕžÕ²Õ» ÖÕ¡ÕœÕ¿Õ¡Õ©ÕžÖÕ²Õ©Õš"
-
 # -- Finnish strings ----------------
 collectionmeta	collectionextra [l=fi] "TÃ€mÃ€ on esimerkkikokoelma, joka on tehty Greenstone digitaalisen kirjaston ohjelmistoa varten. Se sisÃ€ltÃ€Ã€ osan (11 dokumenttia) HumanitÃ€Ã€risestÃ€ kirjastosta ja KehitystyÃ¶kirjastosta."
-
-collectionmeta	.section:text [l=fi] "kappaleita"
-collectionmeta	.section:Title [l=fi] "osien otsakkeita"
-collectionmeta	.document:text [l=fi] "koko dokumentteja"
 
 # -- Slovak strings ----------------
@@ -101,5 +76,2 @@
 collectionmeta	collectionextra [l=sk] "Toto je predvÃ¡dzacia zbierka softvÃ©ru digitÃ¡lnej kniÅŸnice Greenstone, ktorÃ¡ obsahuje 11 dokumentov."
 
-collectionmeta	.section:text [l=sk] "v kapitolÃ¡ch"
-collectionmeta	.section:Title [l=sk] "v nÃ¡zvoch kapitol"
-collectionmeta	.document:text [l=sk] "v celÃœch dokumentoch"