Index: /gli/trunk/src/org/greenstone/gatherer/cdm/SubcollectionManager.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/cdm/SubcollectionManager.java	(revision 18586)
+++ /gli/trunk/src/org/greenstone/gatherer/cdm/SubcollectionManager.java	(revision 18587)
@@ -128,9 +128,6 @@
      * @param mode the new mode as an int
      */
-    public void modeChanged(int mode) {
-	if(controls != null) {
-	    ((SubcollectionControl)controls).modeChanged(mode);
-	}
-    }    
+     public void modeChanged(int mode) {
+     }    
 
     /** Method to remove the given subcollection.
@@ -157,5 +154,4 @@
 	implements Control, ChangeListener
     {
-	private CardLayout card_layout;
 	private JButton add_button;
 	private JButton remove_button;
@@ -163,5 +159,4 @@
 	private JComboBox source_combobox;
 	private JList subcollection_list;
-	private JPanel border_pane;
 	private JTabbedPane tabbed_pane;
 	private JTextField flags_field;
@@ -176,9 +171,4 @@
 	    JPanel header_pane = new DesignPaneHeader("CDM.GUI.Subcollections", "partitionindexes");
 
-	    border_pane = new JPanel();
-	    card_layout = new CardLayout();
-            border_pane.setComponentOrientation(Dictionary.getOrientation());
-           
-            
 	    tabbed_pane = new JTabbedPane();
 	    tabbed_pane.addChangeListener(this);
@@ -258,20 +248,4 @@
 	    JLabel subcollection_list_label = new JLabel(Dictionary.get("CDM.SubcollectionManager.Assigned"));
 	    subcollection_list_label.setComponentOrientation(Dictionary.getOrientation());
-	    // Create a message pane which explains why these controls are not currently active
-	    JPanel message_pane = new JPanel();
-            message_pane.setComponentOrientation(Dictionary.getOrientation());
-            
-	    String args[] = new String[3];
-	    args[0] = Configuration.getModeAsString();
-	    args[1] = Dictionary.get("Preferences.Mode.Systems");
-	    args[2] = Dictionary.get("Preferences.Mode.Expert");
-	    JTextArea message_textarea = new JTextArea(Dictionary.get("CDM.SubcollectionManager.Partitions_Disabled", args));
-	    message_textarea.setComponentOrientation(Dictionary.getOrientation());
-            
-	    message_textarea.setEditable(false);
-	    message_textarea.setHighlighter(null); // Prevent highlighting
-	    message_textarea.setLineWrap(true);
-	    message_textarea.setOpaque(false); // Make it transparent
-	    message_textarea.setWrapStyleWord(true);
 
 	    // Add listeners
@@ -329,29 +303,9 @@
 	    tabbed_pane.addTab(Dictionary.get("CDM.SubcollectionManager.Subindex_Controls"), (JPanel) CollectionDesignManager.subcollectionindex_manager.getControls());
 	    tabbed_pane.addTab(Dictionary.get("CDM.SubcollectionManager.Language_Controls"), (JPanel) CollectionDesignManager.language_manager.getControls());
-            JPanel tmp ;
-	    message_pane.setBorder(BorderFactory.createEmptyBorder(0,5,5,5));
-	    message_pane.setLayout(new GridLayout(3,1,0,0));
-            tmp =new JPanel();
-            tmp.setComponentOrientation(Dictionary.getOrientation());
-	    message_pane.add(tmp);
-	    message_pane.add(message_textarea);
-            tmp = new JPanel();
-            tmp.setComponentOrientation(Dictionary.getOrientation());
-	    message_pane.add(tmp);
-
-	    border_pane.setLayout(card_layout);
-	    if(Configuration.getMode() > Configuration.LIBRARIAN_MODE) {
-		border_pane.add(tabbed_pane, ENABLED_CONTROLS);
-		border_pane.add(message_pane, DISABLED_CONTROLS);
-	    }
-	    else {
-		border_pane.add(message_pane, DISABLED_CONTROLS);
-		border_pane.add(tabbed_pane, ENABLED_CONTROLS);
-	    }
 
 	    setBorder(BorderFactory.createEmptyBorder(0,5,0,0));
 	    setLayout(new BorderLayout());
 	    add(header_pane, BorderLayout.NORTH);
-	    add(border_pane, BorderLayout.CENTER);
+	    add(tabbed_pane, BorderLayout.CENTER);
 	}
        	
@@ -372,16 +326,4 @@
 	}
 	
-	/** Called when the detail mode has changed which in turn controls if any of the partition controls are visible, or if they are instead replaced with a message explaining why they are not.
-	 * @param mode the new mode as an int
-	 */
-	public void modeChanged(int mode) {
-	    if(mode > Configuration.LIBRARIAN_MODE) {
-		card_layout.show(border_pane, ENABLED_CONTROLS);
-	    }
-	    else {
-		card_layout.show(border_pane, DISABLED_CONTROLS);
-	    }
-	}
-
 	public void stateChanged(ChangeEvent event)
 	{