Index: gli/trunk/src/org/greenstone/gatherer/Configuration.java
===================================================================
--- gli/trunk/src/org/greenstone/gatherer/Configuration.java	(revision 18588)
+++ gli/trunk/src/org/greenstone/gatherer/Configuration.java	(revision 18589)
@@ -60,6 +60,5 @@
     static final public int ASSISTANT_MODE = 1;
     static final public int LIBRARIAN_MODE = 2;
-    static final public int SYSTEMS_MODE   = 3;
-    static final public int EXPERT_MODE    = 4; 
+    static final public int EXPERT_MODE    = 3; 
 
     /** The string identifying an argument's name attribute. */
@@ -616,7 +615,4 @@
 	case ASSISTANT_MODE:
 	    result = Dictionary.get("Preferences.Mode.Assistant");
-	    break;
-	case SYSTEMS_MODE:
-	    result = Dictionary.get("Preferences.Mode.Systems");
 	    break;
 	case EXPERT_MODE:
Index: gli/trunk/src/org/greenstone/gatherer/gui/CreatePane.java
===================================================================
--- gli/trunk/src/org/greenstone/gatherer/gui/CreatePane.java	(revision 18588)
+++ gli/trunk/src/org/greenstone/gatherer/gui/CreatePane.java	(revision 18589)
@@ -823,24 +823,4 @@
 		}
 		
-		// have commented this out for now - scheduling currently not
-		// available except in expert mode
-		//only schedule in SYSTEM mode - also done in EXPERT mode, but that is handled elsewhere
-		/*		if(Configuration.getMode() ==  Configuration.SYSTEMS_MODE) {
-		   if(Gatherer.c_man.getCollection().schedule_options.getValueEnabled("schedule")) {
-		    Gatherer.c_man.getCollection().schedule_options.setValue("action",true,"add"); 
-		    Gatherer.c_man.getCollection().schedule_options.setValue("email",false, null); 
-		    Gatherer.c_man.getCollection().schedule_options.setValue("smtp",false, null);
-		    Gatherer.c_man.getCollection().schedule_options.setValue("toaddr",false, null);  
-		    Gatherer.c_man.getCollection().schedule_options.setValue("fromaddr",false, null); 	
-	 	    Gatherer.c_man.getCollection().schedule_options.setValue("frequency",false, null); 	
-		    Gatherer.c_man.scheduleBuild(isIncremental()); 
-		} else {
-		    //need to turn off existing scheduling
-		    Gatherer.c_man.getCollection().schedule_options.setValue("action",true,"delete"); 
-		    Gatherer.c_man.scheduleBuild(isIncremental()); 
-		    
-		}
-		}
-		*/
 	    //Re-setting the rebuildTypeRequired is handled by CollectionManager.processComplete(GShellEvent)
 	}
Index: gli/trunk/src/org/greenstone/gatherer/gui/Preferences.java
===================================================================
--- gli/trunk/src/org/greenstone/gatherer/gui/Preferences.java	(revision 18588)
+++ gli/trunk/src/org/greenstone/gatherer/gui/Preferences.java	(revision 18589)
@@ -84,5 +84,4 @@
     private JRadioButton expert_mode_radio_button;
     private JRadioButton librarian_mode_radio_button;
-    private JRadioButton systems_mode_radio_button;
     private JSpinner proxy_port_field;
     private JTabbedPane tab_pane;
@@ -542,8 +541,4 @@
 	mode_button_group.add(librarian_mode_radio_button);
 	
-        systems_mode_radio_button = new JRadioButton(Dictionary.get("Preferences.Mode.Systems"));
-	systems_mode_radio_button.setOpaque(false);
-        systems_mode_radio_button.setComponentOrientation(Dictionary.getOrientation());
-	mode_button_group.add(systems_mode_radio_button);
 	
         mode_description_textarea = new JTextArea();
@@ -558,8 +553,4 @@
 	    mode_description_textarea.setText(Dictionary.get("Preferences.Mode.Assistant_Description"));
 	    break;
-	case Configuration.SYSTEMS_MODE:
-	    systems_mode_radio_button.setSelected(true);
-	    mode_description_textarea.setText(Dictionary.get("Preferences.Mode.Systems_Description"));
-	    break;
 	case Configuration.EXPERT_MODE:
 	    expert_mode_radio_button.setSelected(true);
@@ -575,12 +566,10 @@
 	expert_mode_radio_button.addActionListener(listener);
 	librarian_mode_radio_button.addActionListener(listener);
-	systems_mode_radio_button.addActionListener(listener);
 	listener = null;
 	// Layout
 	button_panel.setBorder(BorderFactory.createEmptyBorder(0,0,5,0));
-	button_panel.setLayout(new GridLayout(4,1,2,2));
+	button_panel.setLayout(new GridLayout(3,1,2,2));
 	button_panel.add(assistant_mode_radio_button);
 	button_panel.add(librarian_mode_radio_button);
-	button_panel.add(systems_mode_radio_button);
 	button_panel.add(expert_mode_radio_button);
 
@@ -855,7 +844,4 @@
 	    if (assistant_mode_radio_button.isSelected()) {
 		new_mode = Configuration.ASSISTANT_MODE;
-	    }
-	    else if (systems_mode_radio_button.isSelected()) {
-		new_mode = Configuration.SYSTEMS_MODE;
 	    }
 	    else if (expert_mode_radio_button.isSelected()) {
@@ -971,7 +957,4 @@
 	    else if(source == expert_mode_radio_button) {
 		mode_description_textarea.setText(Dictionary.get("Preferences.Mode.Expert_Description"));
-	    }
-	    else if(source == systems_mode_radio_button) {
-		mode_description_textarea.setText(Dictionary.get("Preferences.Mode.Systems_Description"));
 	    }
 	    else {
Index: gli/trunk/src/org/greenstone/gatherer/shell/GBuildProgressMonitor.java
===================================================================
--- gli/trunk/src/org/greenstone/gatherer/shell/GBuildProgressMonitor.java	(revision 18588)
+++ gli/trunk/src/org/greenstone/gatherer/shell/GBuildProgressMonitor.java	(revision 18589)
@@ -122,5 +122,5 @@
     private int expected_stages = 0;
 
-    private int threshold = Configuration.SYSTEMS_MODE;
+    private int threshold = Configuration.LIBRARIAN_MODE;
     /** The current state we are in. The state will change depending on the next flag recieved. */
     private int state = BASE;
Index: gli/trunk/src/org/greenstone/gatherer/shell/GImportProgressMonitor.java
===================================================================
--- gli/trunk/src/org/greenstone/gatherer/shell/GImportProgressMonitor.java	(revision 18588)
+++ gli/trunk/src/org/greenstone/gatherer/shell/GImportProgressMonitor.java	(revision 18589)
@@ -67,5 +67,5 @@
     private int num_docs;
 
-    private int threshold = Configuration.SYSTEMS_MODE;
+    private int threshold = Configuration.LIBRARIAN_MODE;
     /** The progress bar this monitor updates. */
     private GProgressBar progress_bar;
Index: gli/trunk/src/org/greenstone/gatherer/shell/GScheduleProgressMonitor.java
===================================================================
--- gli/trunk/src/org/greenstone/gatherer/shell/GScheduleProgressMonitor.java	(revision 18588)
+++ gli/trunk/src/org/greenstone/gatherer/shell/GScheduleProgressMonitor.java	(revision 18589)
@@ -79,5 +79,5 @@
     private int expected_stages = 0;
 
-    private int threshold = Configuration.SYSTEMS_MODE;
+    private int threshold = Configuration.LIBRARIAN_MODE;
     /** The current state we are in. The state will change depending on the next flag recieved. */
     private int state = BASE;
Index: gli/trunk/src/org/greenstone/gatherer/shell/GShell.java
===================================================================
--- gli/trunk/src/org/greenstone/gatherer/shell/GShell.java	(revision 18588)
+++ gli/trunk/src/org/greenstone/gatherer/shell/GShell.java	(revision 18589)
@@ -557,5 +557,5 @@
 	
 	// If we were cancelled, and we are lower details modes, fire off one last message.
-	if(status == CANCELLED && Configuration.getMode() <= Configuration.SYSTEMS_MODE) {
+	if(status == CANCELLED && Configuration.getMode() <= Configuration.LIBRARIAN_MODE) {
 	    GShellEvent current_event = new GShellEvent(this, 0, type, Dictionary.get("GShell.Build.BuildCancelled"), status);
 	    Object[] concerned = listeners.getListenerList();