Index: gsdl/trunk/bin/script/buildcol.pl
===================================================================
--- gsdl/trunk/bin/script/buildcol.pl	(revision 18586)
+++ gsdl/trunk/bin/script/buildcol.pl	(revision 18590)
@@ -125,10 +125,10 @@
 	#'deft' => &util::filename_cat("<collectdir>", "colname", "etc", "fail.log"),
 	'reqd' => "no",
-	'modegli' => "4" },
+	'modegli' => "3" },
       { 'name' => "index",
 	'desc' => "{buildcol.index}",
 	'type' => "string",
 	'reqd' => "no",
-	'modegli' => "4" },
+	'modegli' => "3" },
       { 'name' => "incremental",
 	'desc' => "{buildcol.incremental}",
@@ -151,5 +151,5 @@
 	'type' => "string",
 	'reqd' => "no",
-	'modegli' => "4" },
+	'modegli' => "3" },
       { 'name' => "maxdocs",
 	'desc' => "{buildcol.maxdocs}",
@@ -171,15 +171,15 @@
 #	'deft' => "all",
 	'reqd' => "no",
-	'modegli' => "4" },
+	'modegli' => "3" },
       { 'name' => "no_strip_html",
 	'desc' => "{buildcol.no_strip_html}",
 	'type' => "flag",
 	'reqd' => "no",
-	'modegli' => "4" },
+	'modegli' => "3" },
       { 'name' => "no_text",
 	'desc' => "{buildcol.no_text}",
 	'type' => "flag",
 	'reqd' => "no",
-	'modegli' => "3" },
+	'modegli' => "2" },
       { 'name' => "sections_index_document_metadata",
 	'desc' => "{buildcol.sections_index_document_metadata}",
@@ -187,5 +187,5 @@
 	'list' => $sec_index_list,
 	'reqd' => "no",
-	'modegli' => "3" },
+	'modegli' => "2" },
       { 'name' => "out",
 	'desc' => "{buildcol.out}",
@@ -200,5 +200,5 @@
 	#'deft' => "2",
 	'reqd' => "no",
-	'modegli' => "4" },
+	'modegli' => "3" },
       { 'name' => "gli",
 	'desc' => "",
Index: gsdl/trunk/bin/script/explode_metadata_database.pl
===================================================================
--- gsdl/trunk/bin/script/explode_metadata_database.pl	(revision 18586)
+++ gsdl/trunk/bin/script/explode_metadata_database.pl	(revision 18590)
@@ -98,5 +98,5 @@
 	'deft' => "1",
 	'reqd' => "no",
-	'modegli' => "4" },
+	'modegli' => "3" },
       { 'name' => "xml",
 	'desc' => "",
Index: gsdl/trunk/bin/script/export.pl
===================================================================
--- gsdl/trunk/bin/script/export.pl	(revision 18586)
+++ gsdl/trunk/bin/script/export.pl	(revision 18590)
@@ -157,5 +157,5 @@
 	'deft' => "",
 	'reqd' => "no",
-        'modegli' => "4" },
+        'modegli' => "3" },
       # does this make sense?
 #      { 'name' => "incremental",
@@ -177,5 +177,5 @@
 	'type' => "string",
 	'reqd' => "no",
-	'modegli' => "4" },
+	'modegli' => "3" },
       { 'name' => "maxdocs",
 	'desc' => "{export.maxdocs}",
@@ -191,5 +191,5 @@
 	#'deft' => "hash",
 	'reqd' => "no",
-	'modegli' => "3" },
+	'modegli' => "2" },
       { 'name' => "OIDmetadata",
 	'desc' => "{import.OIDmetadata}",
@@ -197,5 +197,5 @@
 	'deft' => "dc.Identifier",
 	'reqd' => "no",
-	'modegli' => "3" },
+	'modegli' => "2" },
       { 'name' => "out",
 	'desc' => "{export.out}",
@@ -247,5 +247,5 @@
 	'deft' => "2",
 	'reqd' => "no",
-	'modegli' => "4" },
+	'modegli' => "3" },
       { 'name' => "gli",
 	'desc' => "{scripts.gli}",
Index: gsdl/trunk/bin/script/g2f-buildcol.pl
===================================================================
--- gsdl/trunk/bin/script/g2f-buildcol.pl	(revision 18586)
+++ gsdl/trunk/bin/script/g2f-buildcol.pl	(revision 18590)
@@ -102,5 +102,5 @@
 	'type' => "string",
 	'reqd' => "no",
-	'modegli' => "4" },
+	'modegli' => "3" },
       { 'name' => "collectdir",
 	'desc' => "{import.collectdir}",
Index: gsdl/trunk/bin/script/g2f-import.pl
===================================================================
--- gsdl/trunk/bin/script/g2f-import.pl	(revision 18586)
+++ gsdl/trunk/bin/script/g2f-import.pl	(revision 18590)
@@ -102,5 +102,5 @@
 	'type' => "string",
 	'reqd' => "no",
-	'modegli' => "4" },
+	'modegli' => "3" },
       { 'name' => "collectdir",
 	'desc' => "{import.collectdir}",
Index: gsdl/trunk/bin/script/import.pl
===================================================================
--- gsdl/trunk/bin/script/import.pl	(revision 18586)
+++ gsdl/trunk/bin/script/import.pl	(revision 18590)
@@ -156,5 +156,5 @@
 	'deft' => "",
 	'reqd' => "no",
-        'modegli' => "4" },
+        'modegli' => "3" },
       { 'name' => "incremental",
 	'desc' => "{import.incremental}",
@@ -211,10 +211,10 @@
 	'type' => "metadata",
 	'reqd' => "no",
-	'modegli' => "3" },
+	'modegli' => "2" },
       { 'name' => "reversesort",
 	'desc' => "{import.reversesort}",
 	'type' => "flag",
 	'reqd' => "no",
-	'modegli' => "3" },
+	'modegli' => "2" },
       { 'name' => "removeprefix",
 	'desc' => "{BasClas.removeprefix}",
@@ -234,10 +234,10 @@
 	'deft' => "1",
 	'reqd' => "no",
-	'modegli' => "3" },
+	'modegli' => "2" },
       { 'name' => "gzip",
 	'desc' => "{import.gzip}",
 	'type' => "flag",
 	'reqd' => "no",
-	'modegli' => "4" },
+	'modegli' => "3" },
       { 'name' => "statsfile",
 	'desc' => "{import.statsfile}",
@@ -253,5 +253,5 @@
 	#'deft' => "2",
 	'reqd' => "no",
-	'modegli' => "4" },
+	'modegli' => "3" },
       { 'name' => "gli",
 	'desc' => "{scripts.gli}",
Index: gsdl/trunk/bin/script/replace_srcdoc_with_html.pl
===================================================================
--- gsdl/trunk/bin/script/replace_srcdoc_with_html.pl	(revision 18586)
+++ gsdl/trunk/bin/script/replace_srcdoc_with_html.pl	(revision 18590)
@@ -35,5 +35,5 @@
 	'deft' => "1",
 	'reqd' => "no",
-	'modegli' => "4" },
+	'modegli' => "3" },
       # Do not remove the following option, it's a flag for generating the xml of the options
       # It WILL be used!
Index: gsdl/trunk/bin/script/schedule.pl
===================================================================
--- gsdl/trunk/bin/script/schedule.pl	(revision 18586)
+++ gsdl/trunk/bin/script/schedule.pl	(revision 18590)
@@ -86,5 +86,5 @@
        'type' => "flag", 
        'reqd' => "no", 
-       'modegli' => "4" }, 
+       'modegli' => "3" }, 
       { 'name' => "frequency", 
        'desc' => "{schedule.frequency}",
@@ -93,5 +93,5 @@
        'deft' => "daily", 
        'reqd' => "no", 
-       'modegli' => "4" }, 
+       'modegli' => "3" }, 
      { 'name' => "action", 
        'desc' => "{schedule.action}",
@@ -100,5 +100,5 @@
        'deft' => "add", 
        'reqd' => "no", 
-       'modegli' => "4" },
+       'modegli' => "3" },
      { 'name' => "import", 
        'desc' => "{schedule.import}",
@@ -133,5 +133,5 @@
        'type' => "flag", 
        'reqd' => "no", 
-       'modegli' => "4" },
+       'modegli' => "3" },
      { 'name' => "toaddr", 
        'desc' => "{schedule.toaddr}",
@@ -139,5 +139,5 @@
        'reqd' => "no", 
        'deft' => "", 
-       'modegli' => "4" },
+       'modegli' => "3" },
      { 'name' => "fromaddr", 
        'desc' => "{schedule.fromaddr}",
@@ -145,5 +145,5 @@
        'deft' => "", 
        'reqd' => "no",
-       'modegli' => "4" },
+       'modegli' => "3" },
      { 'name' => "smtp", 
        'desc' => "{schedule.smtp}",
@@ -151,5 +151,5 @@
        'deft' => "",
        'reqd' => "no", 
-       'modegli' => "4" },
+       'modegli' => "3" },
      { 'name' => "out",
         'desc' => "{schedule.out}",