Index: gsdl/trunk/macros/spanish.dm
===================================================================
--- gsdl/trunk/macros/spanish.dm	(revision 18619)
+++ gsdl/trunk/macros/spanish.dm	(revision 18621)
@@ -151,5 +151,5 @@
 _pages_ [l=es] {pÃ¡ginas}
 _of_ [l=es] {de }
-_vol_ [l=es] {Vol.}
+_vol_ [l=es] {Volumen}  
 _num_ [l=es] {nÃºmero}
 
@@ -223,14 +223,15 @@
 
 _textcollector_ [l=es] {El Colector}
-_textdescrcollector_ [l=es] {Aunque este programa de recopilaciÃ³n antecede a la interfaz de la biblioteca digital, para fines prÃ¡cticos se recomienda usar esta Ãºltima en lugar del Colector. }
+_textdescrcollector_ [l=es] {Aunque este programa de recopilaciÃ³n antecede a la interfaz de la biblioteca digital, para fines prÃ¡cticos se recomienda usar esta Ãºltima en lugar del Colector. }  
 
 package depositor
 
 _textdepositor_ [l=es] {El Acumulador}  
-_textdescrdepositor_ [l=es] {Le ayuda a aÃ±adir documentos a colecciones existentes}  
+_textdescrdepositor_ [l=es] {Lo ayuda a agregar documentos a las colecciones existentes.
+}  
 
 package gti
 
-_textgti_ [l=es] {Interfaz de traducciÃ³n de Greenstone}  
+_textgti_ [l=es] {Interfaz de TraducciÃ³n de Greenstone}  
 _textdescrtranslator_ [l=es] {Le ayuda a mantener actualizadas las versiones en varias lenguas de la interfaz Greenstone.}
 
@@ -386,19 +387,17 @@
 # unset
 
-_textsimplesearch_ [l=es] {Buscar _indexselection_ _If_(_jselection_,of _jselection_ )_If_(_gselection_, at _gselection_ level )_If_(_nselection_,in _nselection_ language ) que contengan _querytypeselection_ de las palabras _If_(_sfselection_,\,_allowformbreak_ ordenando los resultados por _sfselection_)
-}  
-
-_textadvancedsearch_ [l=es] {Buscar _indexselection_ _If_(_jselection_, de _jselection_) _If_(_gselection_, at _gselection_ level) _If_(_nselection_, en idioma _nselection_) utilizando la consulta _querytypeselection_}
-
-_textadvancedmgppsearch_ [l=es] {Search _indexselection_ _If_(_jselection_,of _jselection_ )_If_(_gselection_,at _gselection_ level )_If_(_nselection_,in _nselection_ language ) y muestra los resulados in _formquerytypeadvancedselection_ order}  
-
-_textadvancedlucenesearch_ [l=es] {Buscar _indexselection_ _If_(_jselection_,of _jselection_ )_If_(_gselection_,a _gselection_ level )_If_(_nselection_,in _nselection_ language )_If_(_sfselection_,\,_allowformbreak_ sorting results by _sfselection_\,) para}  
-
-_textformsimplesearch_ [l=es] {Buscar _If_(_jselection_, _jselection_) _If_(_gformselection_, at _gformselection_
-level) _If_(_nselection_, in _nselection_ language)_If_(_sfselection_,\ ordenando los resultados por _sfselection_\,) for _formquerytypesimpleselection_ of}  
-
-_textformadvancedsearchmgpp_ [l=es] {Buscar _If_(_jselection_,_jselection_ )_If_(_gformselection_,at _gformselection_ level )_If_(_nselection_,in _nselection_ language )y mostrar resultados en _formquerytypeadvancedselection_ order }  
-
-_textformadvancedsearchlucene_ [l=es] {Buscar If_(_jselection_, _jselection_)_If_(_gformselection_,  at _gformselection_ level)_If_(_nselection_, in _nselection_ language)_If_(_sfselection_,\, ordenando resultados by _sfselection_\,) por}  
+_textsimplesearch_ [l=es] {Buscar en _indexselection__If_(_jselection_, asociada con _jselection_)_If_(_gselection_, a nivel de _gselection_)_If_(_nselection_, en idioma _nselection_) que contenga  _querytypeselection_ de las palabras _If_(_sfselection_,\,_allowformbreak_ ordenando los resultados por _sfselection_)}  
+
+_textadvancedsearch_ [l=es] {Buscar en _indexselection__If_(_jselection_, asociada con _jselection_)_If_(_gselection_, a nivel de _gselection_)_If_(_nselection_, en idioma _nselection_ ) usando el tipo de consulta _querytypeselection_}  
+
+_textadvancedmgppsearch_ [l=es] {Buscar en _indexselection__If_(_jselection_, asociado con _jselection_)_If_(_gselection_, a nivel de _gselection_)_If_(_nselection_, en idioma _nselection_ ), y mostrar los resultados ordenados por _formquerytypeadvancedselection_}  
+
+_textadvancedlucenesearch_ [l=es] {Buscar en _indexselection__If_(_jselection_, asociado con _jselection_)_If_(_gselection_, a nivel de _gselection_ )_If_(_nselection_, en idioma _nselection_ )_If_(_sfselection_,\,_allowformbreak_ ordenando los resultados _sfselection_\,)}  
+
+_textformsimplesearch_ [l=es] {Buscar_If_(_jselection_, en _jselection_)_If_(_gformselection_, a nivel de _gformselection_)_If_(_nselection_, en idioma  _nselection_ )_If_(_sfselection_,\, ordenando los resultados por _sfselection_\,) para _formquerytypesimpleselection_ }  
+
+_textformadvancedsearchmgpp_ [l=es] {Buscar_If_(_jselection_, en _jselection_)_If_(_gformselection_, a nivel de _gformselection_)_If_(_nselection_, en idioma _nselection_), y mostrar los resultados en orden de _formquerytypeadvancedselection_}  
+
+_textformadvancedsearchlucene_ [l=es] {Buscar_If_(_jselection_, en _jselection_)_If_(_gformselection_, a nivel de _gformselection_)_If_(_nselection_, en idioma _nselection_ )_If_(_sfselection_,\, ordenando los resultados por _sfselection_\,)}  
 
 _textnojsformwarning_ [l=es] {Advertencia: Javascript no estÃ¡ habilitado en su navegador. <br>Para usar la bÃºsqueda de formas, por favor habilÃ­telo.}
@@ -548,9 +547,9 @@
 _textreadingdocs_ [l=es] {Â¿CÃ³mo leer los documentos?}
 
-_texthelpreadingdocs_ [l=es] {<p>Se puede decir que se ha localizado un libro o documento en particular cuando su tÃ­tulo o una fotografÃ­a de la portada aparece en la parte superior izquierda de la pÃ¡gina. En algunas colecciones esto se acompaÃ±a de una tabla de contenidos, mientras que otras contienen sÃ³lo el nÃºmero de la pÃ¡gina actual junto con un cuadro que le permite seleccionar una nueva pÃ¡gina y avanzar o retroceder. En la tabla de contenidos el encabezado de la secciÃ³n actual aparece en negrita y la tabla se puede expandir. Pulse en las carpetas para abrirlas o cerrarlas. Pulse en la parte superior del libro abierto para cerrarlo.</p>
-
-<p>Debajo aparece el texto de la secciÃ³n actual. Al final de la lectura hay flechas en la parte inferior que lo llevarÃ¡n a la siguiente secciÃ³n o a la anterior.</p>
-
-<p>Debajo del tÃ­tulo o de la imagen de la portada hay algunos botones. Pulse en <i>_document:textEXPANDTEXT_</i> para abrir todo el texto de la secciÃ³n o libro actual. Si el documento es demasiado grande esto podrÃ­a llevar mucho tiempo y ocupar una gran cantidad de memoria. Pulse en <i>_document:textEXPANDCONTENTS_</i> para que aparezca en pantalla toda la tabla de contenidos de tal manera que pueda ver el tÃ­tulo de todos los capÃ­tulos y secciones. Pulse en <i>_document:textDETACH_</i> para abrir una nueva ventana para este documento (esto es Ãºtil si desea comparar documentos o leer dos a la vez). Por Ãºltimo, cuando se efectÃºa una bÃºsqueda las palabras que estÃ¡ buscando aparecen resaltadas. Pulse en <i>_document:textNOHIGHLIGHT_</i> para  que no se muestren resaltadas.</p>
+_texthelpreadingdocs_ [l=es] {<p>Puede decir que ha llegado a un libro o documento individual cuando en la parte superior izquierda visualice el tÃ­tulo o una imagen de la portada. En algunas colecciones, aparece una tabla de contenidos, mientras que en otras (por ejemplo, cuando se utiliza la opciÃ³n "paged images" -imÃ¡genes paginadas-) solo se muestra el nÃºmero de pÃ¡gina, junto a un recuadro que permite seleccionar el nÃºmero de pÃ¡gina a la cual acceder y flechas para acceder a la pÃ¡gina anterior y posterior. En la tabla de contenidos, el encabezado de la secciÃ³n actual estÃ¡ en letra negrita y la tabla es expandible -- haga click en las carpetas para abrir o cerrar las secciones, haga click en el libro abierto paraa cerrarlo.</p>
+
+<p>En la parte inferior estÃ¡ el texto de la secciÃ³n actual. Cuando la haya leÃ­do, hay flechas en la parte de abajo que lo llevan a la siguiente secciÃ³n o a la anterior.</p>
+
+<p>Abajo del tÃ­tulo o de la imagen de portada hay algunos botones. Haga Click en  <i>_document:textEXPANDTEXT_</i> para expandir el texto completo de la secciÃ³n actual o del libro. Si el documento es muy largo, esto puede llevar un largo tiempo y usar mucha memoria. Haga Click en <i>_document:textEXPANDCONTENTS_</i> para reducir la tabla de contenidos completa de forma tal que pueda ver los tÃ­tulos de todos los capÃ­tulos y subsecciones. Haga Click en <i>_document:textDETACH_</i> para abrir en una nueva ventana del navegador el documento seleccionado. (Esto es util si se quiere comparar documentos o leer dos a la vez). Finalmente, cuando hace una bÃºsqueda, las palabras son resaltadas. Haga Click en <i>_document:textNOHIGHLIGHT_</i> para remover el resaltado.</p>
 }  
 
@@ -568,47 +567,25 @@
 _texthelpsearchingtitle_ [l=es] {Â¿CÃ³mo buscar determinadas palabras?}
 
-_texthelpsearching_ [l=es] {<p>Desde la pÃ¡gina de bÃºsqueda, se puede hacer una consulta siguiendo
-estos pasos:
-
-<ol>
-
-<li>Especificar quÃ© elementos quiere buscar
-
-<li>Indicar si quiere buscar todas las palabras o sÃ³lo algunas
-
-<li>Escribir las palabras que quiere buscar
-
-<li>Pulsar el botÃ³n <i>Iniciar la bÃºsqueda</i>
-
-</ol> 
-
-<p>Cuando hace una consulta, aparecen los tÃ­tulos de los veinte
-primeros documentos encontrados. Al final de la lista hay un botÃ³n
-que permite acceder a los veinte documentos siguientes, y asÃ­
-sucesivamente. Pulse el tÃ­tulo de cualquier documento o en el pequeÃ±o botÃ³n lateral para verlo.
-
-<p>El nÃºmero mÃ¡ximo de documentos recuperados es de 100. Puede cambiar
-este nÃºmero pulsando el botÃ³n <i>_Global:linktextPREFERENCES_</i> que se encuentra en la
-parte superior de la pÃ¡gina.
-}  
+_texthelpsearching_ [l=es] {<p>
+Desde la pÃ¡gina de bÃºsqueda, se puede hacer una consulta siguiendo estos pasos:<p>
+
+  <ol><li>Especifique los items que quiere buscar.
+      <li>Indicar si se quiere buscar por todos o alguno de los tÃ©rminos
+      <li>Escriba las palabras que buscar
+      <li>Haga Click en el botÃ³n <i>Iniciar la bÃºsqueda</i>
+  </ol>
+
+<p>Cuando hace la consulta, se muestran los tÃ­tulos de 20 documentos coincidentes.
+Existe un botÃ³n al final que permite acceder al siguiente grupo de 20 documentos. Desde ahi, habrÃ¡ botones que permitirÃ¡n moverse hacia el grupo siguiente o el anterior.
+
+<p>Un mÃ¡ximo de 50 es el lÃ­mite impuesto para la cantidad de documentos retornados. Este nÃºmero puede cambiarse accediendo a <i>_Global:linktextPREFERENCES_</i> en la parte superior de la pÃ¡gina.<p>}  
 
 _texthelpquerytermstitle_ [l=es] {TÃ©rminos de la bÃºsqueda}
-_texthelpqueryterms_ [l=es] {<p>Lo que se escribe en el cuadro de consulta se interpreta como una
-lista de palabras llamadas "tÃ©rminos de la bÃºsqueda". Cada tÃ©rmino debe
-contener solamente letras y dÃ­gitos, o una frase consistente en una secuencia de palabras entrecomilladas ("..."). Los tÃ©rminos se separan por un
-espacio en blanco. Si aparecen otros caracteres, como los de puntuaciÃ³n,
-se interpretan como espacios para separar los tÃ©rminos y la bÃºsqueda no
-los tiene en cuenta. No se pueden efectuar bÃºsquedas con palabras que
-incluyan puntuaciÃ³n.
-
-<p>Por ejemplo, la consulta:
-
-<ul><kbd>Agro-forestry in the Pacific Islands: Systems for
-Sustainability (1993)</kbd></ul>
-
-<p>se tratarÃ¡ de igual manera que:
-
-<ul><kbd>Agro forestry in the Pacific Islands Systems for Sustainability
-1993</kbd></ul><p>
+_texthelpqueryterms_ [l=es] {<p>Cualquier cosa que se ingrese en el recuadro de bÃºsqueda es interpretada como una lista de palabras o frases llamada "tÃ©rminos de bÃºsqueda". Un tÃ©rmino es una palabra simple conteniendo solo letras y dÃ­gitos, o una frase consistente en una secuencia de palabras encerradas entre comillas dobles ("...") Los tÃ©rminos estÃ¡n separados por espacios en blanco. Si apareciera cualquier otro caracter, como por ejemplo, simbolos de puntuaciÃ³n, sirven tambiÃ©n como separadores, al igual que los espacio blancos y son ignorados. No pueden buscarse palabras que incluyan signos de puntuaciÃ³n.
+
+<p>For example, the query<p>
+    <ul><kbd>Agro-forestry in the Pacific Islands: Systems for Sustainability (1993)</kbd></ul>
+      <p>will be treated the same as<p>
+      <ul><kbd>Agro forestry in the Pacific Islands  Systems for Sustainability  1993 </kbd></ul><p>
 }  
 
@@ -667,5 +644,6 @@
 _texthelpadvancedsearchtitle_ [l=es] {BÃºsqueda avanzada usando el motor _1_ search}  
 
-_texthelpadvancedsearch_ [l=es] {<p>Si ha seleccionado el tipo de bÃºsqueda avanzada (en Preferencias) puede tener opciones de bÃºsqueda ligeramente diferentes. _selectadvancedsearch_}  
+_texthelpadvancedsearch_ [l=es] {<p>Si ha seleccionado el modo de bÃºsqueda avanzada (en Preferencias) puede tener opciones de bÃºsqueda ligeramente diferentes.
+}  
 
 _texthelpadvsearchmg_ [l=es] {Las bÃºsquedas avanzadas en colecciones MG ofrecen dos opciones, ordenadas o booleanas. Una bÃºsqueda <b>ordenada</b> es exactamente los mismo que <b>algunas</b> bÃºsquedas descritas en <a href="\#query-type">_texthelpquerytypetitle_</a>.
@@ -680,10 +658,11 @@
 }  
 
-_texthelpadvsearchmgpp_ [l=es] {Las bÃºsquedas avanzadas en colecciones MGPP usan operadores booleanos. _texthelpbooleansearch_
-<p> Los resultados pueden mostrarse en orden <b>de ranking </b>, o descritos por <b>alguna</b> bÃºsqueda en <a href="\#query-type">_texthelpquerytypetitle_</a>, o en el orden "construido". Ãste es el orden en que los documentos fueron procesados durante la creaciÃ³n de la colecciÃ³n.
+_texthelpadvsearchmgpp_ [l=es] {Las bÃºsquedas avanzadas en colecciones MGPP usan operadores booleanos (lÃ³gicos) . _texthelpbooleansearch_
+<p>Los resultados pueden mostrarse en orden <b>de ranking</b> como en <a href="\#query-type">_texthelpquerytypetitle_</a>, o en orden <b>natural</b>. Este Ãºltimo es el orden en el cual fueron procesados los documentos durante la creaciÃ³n de la colecciÃ³n.
 <p>
-Algunos operadores incluyen <b>NEARx</b> and <b>WITHINx</b>.
-NEARx se usa para especificar la mÃ¡xima distancia entre (x palabras) dos tÃ©rminos de bÃºsqueda que deben estar en el documento a  mostrar.
-WITHINx especifica que el segundo tÃ©rmino debe encontrarse dentro de x palabras <i>despuÃ©s<i> del primer tÃ©rmino. Es similar a NEAR pero el orden es importante. La distancia predefinida es 20.}  
+Otros operadores incluyen <b>NEARx</b> y <b>WITHINx</b>.
+NEARx se utiliza para especificar la distancia mÃ¡xima (x palabras) que pueden separar 2 tÃ©rminos para que un documento encaje dentro de los resultados de la consulta.
+WITHINx especifica que el segundo tÃ©rmino debe aparecer dentro de x palabras <i>despuÃ©s</i> del primer tÃ©rmino. Este es similar al NEAR pero el ORDEN es importante. La distancia por defecto es 20.
+}  
 
 _texthelpadvancedsearchextra_ [l=es] {NOTA: estos operadores se ignorarÃ¡n se se busca en modo de bÃºsqueda simple}  
@@ -753,21 +732,8 @@
 
 _texthelppresentationprefstitle_ [l=es] {Preferencias de presentaciÃ³n}
-_texthelppresentationprefs_ [l=es] {<p>SegÃºn la colecciÃ³n, se pueden especificar varias opciones que definen
-la presentaciÃ³n.
-
-<p>Las colecciones de pÃ¡ginas Web permiten eliminar la barra de
-navegaciÃ³n de Greenstone que aparece en la parte superior de cada pÃ¡gina
-de un documento, de tal modo que una vez terminada la bÃºsqueda se
-visualiza directamente la pÃ¡gina correspondiente sin los encabezados de
-Greenstone. Para efectuar otra bÃºsqueda tendrÃ¡ que utilizar el botÃ³n
-"AtrÃ¡s" de su navegador. Estas colecciones le permiten tambiÃ©n eliminar
-el mensaje de advertencia de Greenstone que aparece cuando un
-hipervÃ­nculo lo lleva a usted fuera de la colecciÃ³n de la biblioteca
-digital y hacia otra parte en Internet. En algunas colecciones de
-pÃ¡ginas Web, se puede determinar tambiÃ©n si los enlaces que aparecen en
-la pÃ¡gina de "Resultados de la bÃºsqueda" remitirÃ¡n directamente al URL
-en cuestiÃ³n o mÃ¡s bien a la copia de la pÃ¡gina que se encuentra en la
-biblioteca digital.
-}
+_texthelppresentationprefs_ [l=es] {Dependiendo de la colecciÃ³n en particular, existen muchas opciones que pueden configurarse para controlar la presentaciÃ³n.
+
+<p>Colecciones de pÃ¡ginas web permiten suprimir la barra de navegaciÃ³n de Greenstone al tope de cada pÃ¡gina de documento, de manera tal que una vez que se haya hecho una bÃºsqueda se derive directamente a la pÃ¡gina web exacta sin ningÃºn encabezado de Greenstone. Para hacer otra bÃºsqueda se debe usar el botÃ³n "AtrÃ¡s" del navegador.  Estas colecciones tambiÃ©n permiten suprimir los mensajes de aviso de Greenstone cuando el usuario selecciona un link que lo lleva afuera de la colecciÃ³n de la biblioteca digital, a la web misma. En otros casos de colecciones web puede controlarse si los enlaces de los resultados de bÃºsqueda lo llevan a la URL actual en vez de a la copia existente en la biblioteca digital.
+}  
 
 _texthelpsearchprefstitle_ [l=es] {Preferencias de bÃºsqueda}