Index: /gsdl/trunk/macros/spanish2.dm
===================================================================
--- /gsdl/trunk/macros/spanish2.dm	(revision 18621)
+++ /gsdl/trunk/macros/spanish2.dm	(revision 18622)
@@ -276,5 +276,5 @@
 _textbild_ [l=es] {Construir colecciÃ³n}  
 _textbildsuc_ [l=es] {ColecciÃ³n construida exitosamente.}  
-_textviewbildsummary_ [l=es] {Usted puede <a href="_httppagex_(bsummary)&c=_cgiargbc1dirname_" target=_top>ver el sumario de construcciÃ³n</a> de la colecciÃ³n para mÃ¡s detalles.}  
+_textviewbildsummary_ [l=es] {Puede <a href="_httppagex_(bsummary)" target=_top>ver el resumen </a> de esta colecciÃ³n para mayores detalles.}  
 _textview_ [l=es] {Ver colecciÃ³n}  
 
@@ -529,22 +529,15 @@
 
 <ul>
-
 <li>La estructura por defecto
-
 </ul>
-
 <dl> <dd> La nueva colecciÃ³n puede contener documentos HTML (.htm,
 .html), documentos texto (.txt, .text), documentos MS-Word (.doc),
 documentos PDF (.pdf), o documentos de correo electrÃ³nico en el formato
 "m-box" (.mbx). </dd> </dl>
-
 <li>Una colecciÃ³n existente
-
 <dl> <dd> Los ficheros de su nueva colecciÃ³n deben ser exactamente del mismo
 tipo que los utilizados para crear la colecciÃ³n existente. </dd> </dl>
-
 </ul>
-
-}
+}  
 
 _textbtco_ [l=es] {Basar la colecciÃ³n en:}
@@ -700,28 +693,18 @@
 }
 
-_textexptfail_ [l=es] {<p>No se pudo exportar la colecciÃ³n _cgiargbc1dirname_. 
-
-<p>Es probable que esto se deba a que Greenstone se instalÃ³ sin los
-componentes necesarios para posibilitar la funciÃ³n "Exportar la
-colecciÃ³n".
-
+_textexptfail_ [l=es] {<p>Fallo en la exportaciÃ³n de la colecciÃ³n _cgiargbc1dirname_.
+
+<p>Esto puede deberse a que Greenstone fue instalado sin los componentes necesarios para soportar a la funciÃ³n "Exportar colecciÃ³n".
 <ul>
 
-<li>Si usted instalÃ³ Greenstone a partir de un CD-ROM, estos
-componentes no se habrÃ¡n instalado a menos que usted los haya
-seleccionado durante una instalaciÃ³n "personalizada". Puede agregarlos a
-su instalaciÃ³n volviendo a efectuar el procedimiento de instalaciÃ³n.
-
-<li>Si usted instalÃ³ Greenstone a partir de un programa distribuido por
-Internet, serÃ¡ necesario descargar e instalar un paquete adicional para
-activar esta funciÃ³n. Visite por favor <a
-href="http://www.greenstone.org">http://www.greenstone.org</a> o envÃ­e
-un correo electrÃ³nico a <a
-href="mailto:greenstone@cs.waikato.ac.nz">greenstone@cs.waikato.ac.nz</a>
-para obtener mÃ¡s detalles.
+ <li>Si instalÃ³ una versiÃ³n de Greenstone anterior a la 2.70 desde un CD-ROM 
+ estos componentes no se instalan a menos que los seleccione en una instalaciÃ³n personalizada ("Custom"). Puede agregarlos a su sistema ejecutando nuevamente el procedimiento de instalaciÃ³n.
+
+ <li>Si instalÃ³ Greenstone de una distribuciÃ³n descargada de la web entonces necesitarÃ¡ descargar un paquete adicional para habilitar esta funciÃ³n. Por favor, visite <a href="http://www.greenstone.org">http://www.greenstone.org</a> o 
+ <a
+ href="https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users">la lista de mailing</a> para mayores detalles.
 
 </ul>
-
-}
+}  
 
 ######################################################################
@@ -739,4 +722,5 @@
 _textselect_ [l=es] {Seleccionar ColecciÃ³n}  
 _textmeta_ [l=es] {Especificar metadatos}  
+_textselectoption_ [l=es] {seleccione la colecciÃ³nâŠ}  
 
 _texttryagain_ [l=es] {Por favor, <a href="_httppagedepositor_" target=_top>reinicie el acumulador</a> y pruebe de nuevo.}  
@@ -842,10 +826,6 @@
 
 _textbugstitle_ [l=es] {errores lÃ³gicos o de programaciÃ³n}
-_textreport_ [l=es] {Nuestro deseo es garantizar el correcto funcionamiento de este programa,
-por lo que alentamos a sus usuarios a notificar cualquier problema que
-detecten a: <a
-href="mailto:greenstone@cs.waikato.ac.nz">greenstone@cs.waikato.ac.nz</a>.
-
-}
+_textreport_ [l=es] {Queremos asegurarnos de que este software le funcione correctamente. Por favor, informe cualquier error o bug a <a href="https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users">la lista de mailing</a>.
+}  
 
 _textgs3title_ [l=es] {en los trabajos}
@@ -908,4 +888,12 @@
 _textaboutgroups_ [l=es] {Los grupos son listas cuyos elementos estÃ¡n separados por comas, no
 teclee espacios despuÃ©s de las comas.}
+_textavailablegroups_ [l=es] {Los grupos predefinidos incluyen al administrador y otros que pueden asignar permisos para la construccion remota de colecciones usando el GLI o el Depositor:
+<ul>
+<li><b>administrator</b>: Otorga permisos para acceder y cambiar la configuraciÃ³n del sitio y las cuentas de usuarios.
+<li><b>personal-collections-editor</b>: Otorga permisos para crear nuevas colecciones personales.
+<li><b><nombre-coleccion>-collection-editor</b>: Otorga permisos para crear y editar la colecciÃ³n "nombre-coleccion", por ejemplo, reportes-collection-editor.
+<li><b>all-collections-editor</b>: Otorga permisos para crear colecciones globales y personales y editar <b>todas</b> las colecciones.
+</ul>
+}  
 
 
@@ -1155,5 +1143,5 @@
 _textgtitutorials_ [l=es] {Ejercicios de Seminario}  
 _textgtigreenorg_ [l=es] {Greenstone.org}  
-_textgtigs3core_ [l=es] {Interfaz Greenstone 3 (predeterminado)}  
+_textgtigs3interface_ [l=es] {Interfaz de Greenstone3}  
 
 #for greenstone manuals
@@ -1192,11 +1180,13 @@
 _textgtitranslationfilecomplete_ [l=es] {Gracias por actualizar este fichero -- Â¡ahora estÃ¡ completo!<p> Puede descargar una copia del fichero usando el enlace superior, y podrÃ¡ tambiÃ©n ser incluido en futuras versiones de Greenstone.}  
 
-_textgtiofflinetranslation_ [l=es] {Puede traducir esta parte de Greenstone usando un fichero de hoja de cÃ¡lculo de Excel:
+_textgtiofflinetranslation_ [l=es] {Puede traducir esta parte de Greenstone offline usando una planilla de Microsoft Excel:
 
 <ol>
-<li>Descargue <a href="_gwcgi_?a=gti&p=excel&e=_compressedoptions_">este fichero</a>.
-<li>Ãbralo en Excel guÃ¡rdelo en formato de libro de trabajo de Excel(.xls).
-<li>Introduzca las traduciiones en los campos correspondientes.
-<li>Cuando haya traducido todas las cadenas, envÃ­e el fichero .xls por email a <a href="mailto:_gtiadministratoremail_">_gtiadministratoremail_</a>.}  
+<li>Descargue  <a href="_gwcgi_?a=gti&p=excel&tct=work&e=_compressedoptions_">este archivo</a> para ver todo el trabajo pendiente, o <a href="_gwcgi_?a=gti&p=excel&tct=all&e=_compressedoptions_">este archivo</a> para ver todos los textos de este mÃ³dulo.
+<li>Abra el archivo descargado en Microsoft Excel (Office 2003/XP o versiones mÃ¡s recientes) y guÃ¡rdelo en formato de Microsoft Excel (.xls).
+<li>Ingrese todas las traducciones en los recuadros provistos.
+<li>Cuando haya finalizado de traducir todas los textos, envie el archivo .xls a <a href="mailto:_gtiadministratoremail_">_gtiadministratoremail_</a>.
+</ol>
+}  
 
 