Index: gli/trunk/classes/dictionary_es.properties
===================================================================
--- gli/trunk/classes/dictionary_es.properties	(revision 18430)
+++ gli/trunk/classes/dictionary_es.properties	(revision 18638)
@@ -1,3 +1,6 @@
 #*******************
+# Spanish Translation of GLI Dictionary. Many thanks to Jesus Tramullas and Diego Spano.
+# Updated by Diego Spano in March 2009.
+# 
 #** Language Orientation Property
 Component.Orientation:LTR
@@ -16,5 +19,5 @@
 AboutDialog.Item7:Add ghosted drag images to your JTrees', por Andrew J. Armstrong (http://www.javaworld.com/javaworld/javatips/jw-javatip114.html)
 AboutDialog.Item8:Stop annoying java.prefs error when you don't have superuser access', cortesÃ­a de Walter Schatz
-AboutDialog.Item9:Nuevos iconos de carpeta, borrar y ayuda del conjunto de iconos Dropline Neu!, por Silvestre Herrera, de http://art.gnome.org/  
+AboutDialog.Item9:Los Ã­conos de "Nueva carpeta", "borrar" y "ayuda" del conjunto de Ã­conos Dropline Neu! De Silvestre Herrera, disponibles en http://art.gnome.org/  
 AboutDialog.Java_Req:Java es una marca registrada de Sun Microsystems Inc. El Ambiente de EjecuciÃ³n Java (JRE por sus siglas en inglÃ©s) se distribuye de acuerdo a los tÃ©rminos de la licencia suplementaria que se encuentra en http://java.sun.com/j2se/1.4.1/j2re-1_4_1_02-license.html
 AboutDialog.Java_Req_One:Este producto incluye un cÃ³digo con licencia de uso de RSA Security, Inc.
@@ -150,4 +153,5 @@
 CDM.GUI.SuperCollection:BÃºsqueda cruzada a travÃ©s de varias colecciones
 CDM.GUI.Translation:Traducir texto
+CDM.GUI.DepositorMetadata:Metadatos del Acumulador  
 CDM.HelpButton:Ayuda para esta pantalla  
 CDM.HelpButton_Tooltip:Abra la ayuda de GLI para esta pantalla  
@@ -181,7 +185,12 @@
 CDM.IndexManager.Text_Source_Tooltip:Incluir el texto completo de los documentos en el Ã­ndice  
 CDM.IndexingManager.Accent_fold:Coincidencia de acentos  
+CDM.IndexingManager.Accent_fold_Tooltip:Generar un Ã­ndice sin acentos, el cual habilita la bÃºsqueda de palabras con y sin acentos.  
 CDM.IndexingManager.Casefold:May./Min.  
+CDM.IndexingManager.Casefold_Tooltip:Generar un Ã­ndice no sensitivo a MayÃºsculas/minÃºsculas  
 CDM.IndexingManager.Options:Opciones de indizaciÃ³n:  
+CDM.IndexingManager.Separate_cjk:SegmentaciÃ³n de texto CJK  
+CDM.IndexingManager.Separate_cjk_Tooltip:<html>Segmentar texto CJK (Chino, JaponÃ©s, Coreano). Significa que inserta un espacio entre cada caracter CJK.<br> Esto es necesario para bÃºsquedas en texto CJK, a menos que que dicho texto ya estuviera segmentado.</html>  
 CDM.IndexingManager.Stem:Cadena  
+CDM.IndexingManager.Stem_Tooltip:<html>Generar un Ã­ndice de raÃ­ces de palabras, el cual permite la bÃºsqueda de palabras en su forma raÃ­z.<br>Por ejemplo, una bÃºsqueda por "farm" taerÃ¡ resultados como "farms" "farming" "farmers" (muy Ãºtil para InglÃ©s y FrancÃ©s solamente).</html>  
 CDM.LanguageManager.Add_Tooltip:AÃ±ade una particiÃ³n de Ã­ndice basada en los idiomas especificados  
 CDM.LanguageManager.Assigned_Languages:Particiones de idioma asignadas  
@@ -224,5 +233,5 @@
 CDM.PlugInManager.PlugIn_XML_Parse_Failed:Imposible determinar los argumentos para el plugin {0}\n. Por favor, asegÃºrese que el plugin contiene\nel indicador -xml ejecutando el guiÃ³n pluginfo.pl descrito\nen la secciÃ³n 2.1 de la GuÃ­a del Programador de Greenstone.  
 CDM.PluginManager.Plugin_List_XML_Parse_Failed:Imposible obtener la lista de plugins usando pluginfo.pl -listall.  
-CDM.PluginManager.Plugin_Suggestion_Prompt:Ninguno de los plugins de esta colecciÃ³n puede procesar el ficheroo "{0}". Para procesar este fichero pueden utilizarse los siguientes plugins. En este momento usted puede agregar uno a su colecciÃ³n, seleccionÃ¡ndolo y oprimiendo el botÃ³n Agregar. (Tenga en cuenta que en cualquier momento puede cambiar la lista de plugins dirigiÃ©ndose a "Plugins de Documento" en el Panel de DiseÃ±o.)  
+CDM.PluginManager.Plugin_Suggestion_Prompt:Ninguno de los conectores de esta colecciÃ³n puede procesar el archivo "{0}". (De todas maneras, puede ser incluido en la colecciÃ³n si pertenece a otro archivo, como por ejemplo, una imagen de una pÃ¡gina web.) Los conectores siguientes pueden llegar a procesarlo. Puede agregar un conector ahora a su colecciÃ³n seleccionÃ¡ndolo y presionando el botÃ³n "Agregar". (Note que puede cambiar la lista de conectores en cualquier momento desde el Panel de DiseÃ±o en la secciÃ³n "Plugins del documento")   
 CDM.PlugInManager.Remove:Eliminar plugin
 CDM.PlugInManager.Remove_Tooltip:Elimina el plugin seleccionado de la lista
@@ -283,4 +292,5 @@
 CDM.TranslationManager.Translation:Texto traducido
 CDM.TranslationManager.Translation_Tooltip:Escriba aquÃ­ la traducciÃ³n de la cadena de texto
+CDM.DepositorMetadataManager.Warning:Por lo menos debe seleccionarse un metadato.  
 #*******************
 #
@@ -302,5 +312,11 @@
 #***************************
 #
+#******ScheduldBuilt******
+ScheduleBuilt.Message:La programaciÃ³n de esta colecciÃ³n ha sido alterada.  
+ScheduleBuilt.Title:Resultado de la programaciÃ³n de la colecciÃ³n  
+#***************************
+#
 #***** CollectionManager *****
+CollectionManager.Schedule_Failed:Ha ocurrido un error y la colecciÃ³n no puede programarse para una construcciÃ³n periÃ³dica.  
 CollectionManager.Build_Cancelled:Se ha cancelado la construcciÃ³n de la colecciÃ³n.
 CollectionManager.Cannot_Create_Collection:Ha ocurrido un error y no se ha podido crear la colecciÃ³n
@@ -320,4 +336,5 @@
 CollectionManager.Preview_Ready_Failed:Ha ocurrido un error que evitarÃ¡ que la colecciÃ³n se pueda ver de forma preliminar.
 CollectionManager.Preview_Ready_Title:Vista preliminar de la colecciÃ³n.
+CollectionManager.Schedule_Ready_Title:Estado de programaciÃ³n.  
 CollectionManager.Build_Not_Moved:El directorio building no podrÃ­a moverse.Intente construir de nuevo, o salga de GLI y del servidor, reinicie GLI e intente reconstruir de nuevo -- esto deberÃ­a solucionar el problema.  
 CollectionManager.Index_Not_Deleted:El directorio index podrÃ­a no ser borrado. Intente salir de GLI y del servidor, reinicie GLI y reconstruya -- esto deberÃ­a solucionar el problema.  
@@ -329,4 +346,5 @@
 CollectionPopupMenu.New_Dummy_Doc:Nuevo documento postizo
 CollectionPopupMenu.New_Folder:Nueva carpeta  
+CollectionPopupMenu.Refresh:Actualizar la vista de carpeta  
 CollectionPopupMenu.Rename:Renombrar  
 CollectionPopupMenu.Replace:Reemplazar
@@ -334,4 +352,9 @@
 #
 #***** CreatePane *****
+CreatePane.Schedule_Progress:Progreso de la programaciÃ³n  
+CreatePane.Schedule:Opciones de programaciÃ³n  
+CreatePane.Schedule_Tooltip:Opciones de la programaciÃ³n para la creaciÃ³n automÃ¡tica de la colecciÃ³n  
+CreatePane.Schedule_Build:Programar AcciÃ³n  
+CreatePane.Schedule_Build_Tooltip:Programar la creaciÃ³n automÃ¡tica de la colecciÃ³n  
 CreatePane.Build:Opciones de construcciÃ³n de la colecciÃ³n
 CreatePane.Build_Tooltip:Opciones para las fases de indexaciÃ³n y clasificaciÃ³n en la formaciÃ³n de la colecciÃ³n
@@ -353,5 +376,5 @@
 CreatePane.Mode_All:todos
 CreatePane.Options:Grupos opcionales
-CreatePane.Options_Title:Opciones de importaciÃ³n y construcciÃ³n de la colecciÃ³n
+CreatePane.Options_Title:Opciones de ImportaciÃ³n, ConstrucciÃ³n y ProgramaciÃ³n de la colecciÃ³n  
 CreatePane.Preview_Collection:Vista previa de la colecciÃ³n
 CreatePane.Preview_Collection_Tooltip:Vista previa de la colecciÃ³n  
@@ -393,4 +416,5 @@
 DeleteCollectionPrompt.Successful_Title:Â¡Se ha eliminado por completo!
 DeleteCollectionPrompt.Title:EliminaciÃ³n de la colecciÃ³n
+DeleteCollectionPrompt.Cannot_Delete_Open_Collection_Tooltip:No se puede borrar la colecciÃ³n {0}, debido a que estÃ¡ abierta actualmente  
 #**********************
 #
@@ -440,4 +464,17 @@
 ExplodeMetadataPrompt.Title:Explotar la Base de Datos de Metadatos
 ExplodeMetadataPrompt.Plugin:Plugin usado para expandir  
+#***********************
+#
+#****** ReplaceSrcWithHTMLPrompt *******
+ReplaceSrcWithHTMLPrompt.ReplaceSrc:Reemplazar con la versiÃ³n HTML  
+ReplaceSrcWithHTMLPrompt.ReplaceSrc_Tooltip:Reemplazar el documento origen con la versiÃ³n HTML que genera Greenstone.  
+ReplaceSrcWithHTMLPrompt.Instructions:Reemplazar un documento con su versiÃ³n HTML generada le permitirÃ¡ editar el archivo HTML y reconstruir la colecciÃ³n en un futuro con todos esos cambios intactos. Este es un proceso irreversible y el documento original reemplazado de este modo serÃ¡ removido.  
+ReplaceSrcWithHTMLPrompt.Failed_Title:FallÃ³ el reemplazo por HTML.  
+ReplaceSrcWithHTMLPrompt.Failed_ReplaceSrc:Los documentos {0} no pueden reemplazarse con una versiÃ³n HTML.  
+ReplaceSrcWithHTMLPrompt.NotSrcReplaceable:Este tipo de archivo no puede reemplazarse con una versiÃ³n HTML.  
+ReplaceSrcWithHTMLPrompt.Successful_ReplaceSrc:Todos los documentos seleccionados han sido reemplazados exitosamente por su versiÃ³n HTML.  
+ReplaceSrcWithHTMLPrompt.Successful_Title:El reemplazo por la versiÃ³n HTML generada se ha completado.  
+ReplaceSrcWithHTMLPrompt.Title:Reemplazar documentos de origen por archivos HTML  
+ReplaceSrcWithHTMLPrompt.Plugin:Conector a utilizar para la expansiÃ³n  
 #***********************
 #
@@ -463,17 +500,15 @@
 ExportAsPrompt.Export_Name:Nombre de la carpeta  
 ExportAsPrompt.Export_Name_Tooltip:Nombre de la carpeta en el directorio /tmp de Greenstone donde se guardarÃ¡n las colecciones exportadas.  
-ExportAsPrompt.Export:Exportar la(s) colecciÃ³n(ciones)
-ExportAsPrompt.Export_Tooltip:Exportar las colecciones seleccionadas en el formato de fichero escogido al directorio designado  
-ExportAsPrompt.Failed_ExportOne:La colecciÃ³n, {0}, no pudo exportarse.
-ExportAsPrompt.Failed_ExportMany:Las colecciones -- {0} -- no pudieron exportarse.
+ExportAsPrompt.Export:Exportar la colecciÃ³n  
+ExportAsPrompt.Export_Tooltip:Exportar las colecciones seleccionadas en el formato de archivo escogido al directorio designado  
+ExportAsPrompt.Failed_ExportOne:La colecciÃ³n {0} no pudo exportarse.  
 ExportAsPrompt.Failed_Details:Ver detalles en {1}
 ExportAsPrompt.Failed_Title:FallÃ³ la ExportaciÃ³n
-ExportAsPrompt.Instructions:Exportar una o mÃ¡s colecciones en el formato escogido al directorio estipulado
+ExportAsPrompt.Instructions:Exportar los archivos de una colecciÃ³n a otro formato  
 ExportAsPrompt.Progress_Label:Exportando Ficheros. Esto puede tomar algÃºn tiempoâŠ  
-ExportAsPrompt.Successful_ExportOne:La colecciÃ³n -- {0} -- ha sido exportada
-ExportAsPrompt.Successful_ExportMany:Las colecciones -- {0} -- han sido exportadas
+ExportAsPrompt.Successful_ExportOne:La colecciÃ³n {0} ha sido exportada.  
 ExportAsPrompt.Successful_Details:Ficheros exportados a: {1}  
 ExportAsPrompt.Successful_Title:ExportaciÃ³n Completada
-ExportAsPrompt.Title:Exportar Colecciones
+ExportAsPrompt.Title:Exportar ColecciÃ³n  
 ExportAsPrompt.SaveAs:Exportar a
 ExportAsPrompt.SaveAs_Tooltip:Seleccione el formato al cual desea exportar
@@ -490,5 +525,5 @@
 #
 #***** Inherited Metadata *****
-ExtractedMetadata.Message:El fichero o carpeta seleccionada contiene metadatos extraÃ­dos, los cuales estÃ¡n ocultos. Para verlos vaya al menÃº "[A]rchivo" y seleccione la opciÃ³n "[P]referencias". En la hoja de propiedades "Generales" seleccione "Ver metadatos extraÃ­dos" y haga click en "[A]ceptar".  
+ExtractedMetadata.Message:El archivo o carpeta seleccionada contiene metadatos extraÃ­dos, los cuales estÃ¡n ocultos. Para verlos vaya al menÃº "[A]rchivo" y seleccione la opciÃ³n "[P]referencias". En la hoja de propiedades "Generales" seleccione "Ver metadatos extraÃ­dos" y haga click en "[A]ceptar".  
 ExtractedMetadata.Title:Este fichero/carpeta tiene metadatos extraÃ­dos ocultos  
 #
@@ -561,4 +596,6 @@
 Filter.2:Ficheros de texto  
 Filter.3:ImÃ¡genes
+Filter.4:PDF  
+Filter.5:Documentos de Office  
 Filter.All_Files:Todos los ficheros  
 Filter.Filter_Tree:Mostrar ficheros  
@@ -616,4 +653,7 @@
 GShell.Build.InfoDatabase:Creando una base de datos de informaciÃ³n...
 GShell.Build.Phind:Generando un clasificador Phind...
+GShell.Schedule.ScheduleBegun1:**************** Comienzo de la programaciÃ³n ***************  
+GShell.Schedule.ScheduleComplete1:**************** Fin de la programaciÃ³n *************  
+GShell.Schedule.ScheduleDelete:*********** Borrando la programaciÃ³n existente *****  
 GShell.Command:orden  
 GShell.Failure:La orden no se pudo ejecutar.  
@@ -635,4 +675,5 @@
 GShell.Import.ImportComplete.Failed.1:1 fue rechazado.
 GShell.Import.ImportComplete3:\n
+GShell.Import.Warning:{0-plugin name} Aviso:  
 GShell.Parsing_Metadata_Complete:ExtracciÃ³n completa de metadatos archivados.
 GShell.Parsing_Metadata_Start:Extrayendo nuevos metadatos de los ficheros.  
@@ -701,4 +742,5 @@
 Menu.Expand:Abrir carpeta
 Menu.Explode_Metadata_Database:Explotar la base de datos de metadatos
+Menu.Replace_SrcDoc_With_HTML:Reemplazar con la versiÃ³n HTML  
 Menu.File:Archivo
 Menu.File_Associations:AsociaciÃ³n de ficheros...  
@@ -793,5 +835,5 @@
 Mirroring.Invalid_URL:El URL que se ingresÃ³ no es vÃ¡lido. Por favor corrÃ­jalo.
 Mirroring.Invalid_URL_Title:URL invÃ¡lida
-Mirroring.Preferences:Preferencias...
+Mirroring.Preferences:Configurar ProxyâŠ  
 Mirroring.Preferences_Tooltip:Habilitar proxy y/o editar la configuraciÃ³n del proxy
 #*********************
@@ -801,12 +843,9 @@
 MissingEXEC.Title:Falta la direcciÃ³n de la Biblioteca Greenstone
 #***** Missing EXEC_GS3 *****
-MissingEXEC_GS3.Message:Â¡AtenciÃ³n! No podrÃ¡ ver las nuevas colecciones con la Interfaz de Bibliotecario a menos que especifique la ruta al entorno Greenstone en el servidor local Tomcat. Puede introducirla ahora en el campo de texto situado debajo, o mÃ¡s tarde en "Preferencias", pestaÃ±a "ConexiÃ³n". Recuerde que un URL vÃ¡lido debe comenzar con el protocolo "http://" La direcciÃ³n predefinida es http://localhost:8080/greenstone3  
-MissingEXEC_GS3.Title:No se encuentra la direcciÃ³n de la Biblioteca Greenstone 3  
+MissingEXEC_GS3.Message:Por favor ingrese la URL a la biblioteca de Greenstone3. No podrÃ¡ ver las nuevas colecciones con la Interfaz de Bibliotecario a menos que especifique la ruta al entorno Greenstone en el servidor local Tomcat. Puede introducirla ahora en el campo de texto situado debajo, o mÃ¡s tarde en "Preferencias", pestaÃ±a "ConexiÃ³n". Recuerde que un URL vÃ¡lido debe comenzar con el protocolo "http://".  
+MissingEXEC_GS3.Title:URL de la Biblioteca Greenstone 3  
 #***** Missing GLIServer *****
-MissingGLIServer.Message:Â¡AtenciÃ³n! No podrÃ¡ trabajar con colecciones desde la Interfaz de Bibliotecario a menos que especifique la direcciÃ³n del script "gliserver" del servidor Greenstone remoto. Puede hacerlo ahora introduciÃ©ndolo en el Ã¡rea de texto inferior, o mÃ¡s tarde en "Preferencias", pestaÃ±a "ConexiÃ³n". Recuede que un URL vÃ¡lido debe comenzar con el protocolo "http://" y terminar con "gliserver".  
-MissingGLIServer.Title:DirecciÃ³n GLIServer perdida  
-#***** Missing GLIServer_GS3 *****
-MissingGLIServer_GS3.Message:Â¡AtenciÃ³n! No podrÃ¡ trabajar con las colecciones dentro de la Interfaz de Bibliotecario  a menos que indique la direcciÃ³n del script remoto "gliserver4gs3.pl". Puede introducirla en el campo de texto situado debajo, o mÃ¡s tarde en Preferencias-> ConexiÃ³n. Recuerde que un URL vÃ¡lido debe comenzar con el protocolo "http://" y acabar con "/greenstone3/cgi-bin/gliserver4gs3.pl".  
-MissingGLIServer_GS3.Title:Perdida la direcciÃ³n de Greenstone 3 GLIServer  
+MissingGLIServer.Message:Ingrese la direcciÃ³n del script remoto de Greenstone "gliserver.pl" en el recuadro de abajo. Recuerde que una URL vÃ¡lida debe comenzar con el protocolo "http://" y finalizar con "gliserver".  
+MissingGLIServer.Title:Especifique la direcciÃ³n del Servidor GLI  
 #***** Missing GSDL *****
 MissingGSDL.Message:Â¡Cuidado! Usted no podrÃ¡ tener acceso a todas las funciones de la Interfaz de Bibliotecario sin tener instalada una copia local de Biblioteca Digital Greenstone. Si usted cree que estÃ¡ recibiendo este mensaje por error, por favor revise su instalaciÃ³n y las rutas especificadas en los ficheros script y batch de la Interfaz de Bibliotecario.  
@@ -816,5 +855,5 @@
 MissingPERL.Title:Falta la ruta PERL
 #******* MissingImageMagick ********
-MissingImageMagick.Message:AtenciÃ³n! La interfaz del bibliotecario fallÃ³ al ubicar un versiÃ³n apropiada de imageMagick y por lo tanto la imagePlug no funcionarÃ¡
+MissingImageMagick.Message:AtenciÃ³n! La interfaz del bibliotecario fallÃ³ al ubicar un versiÃ³n apropiada de imageMagick. Las imÃ¡genes podrÃ¡n incluirse en las colecciones pero no estarÃ¡ disponible ninguna funcionalidad de procesamiento de imÃ¡genes, como por ejemplo convertir imÃ¡genes a diferente tipo, o generar miniaturas.  
 MissingImageMagick.Title:Falta ImageMagick
 #*****************************
@@ -848,5 +887,5 @@
 #
 #******* OldWGET *******
-NoPluginExpectedToProcessFile.Message:No se encuentra ningÃºn plugin de Greenstone que pueda procesar el fichero "{0}". Compruebe que el fichero tiene la extensiÃ³n correcta. Si la extensiÃ³n es correcta entonces tendrÃ¡ que usar el plugin Unkowm para procesar este fichero.  
+NoPluginExpectedToProcessFile.Message:No se encuentra ningÃºn conector de Greenstone que pueda procesar el archivo "{0}". Compruebe que el archivo tiene la extensiÃ³n correcta. Si la extensiÃ³n es correcta entonces tendrÃ¡ que usar el UnknownPlugin para procesar este archivo.  
 NoPluginExpectedToProcessFile.Title:No se encuentra un plugin que pueda procesar el fichero  
 #***********************
@@ -864,4 +903,5 @@
 OptionsPane.LogHistory:Historial de registro
 OptionsPane.Successful:- con Ã©xito
+OptionsPane.Scheduled:- programado  
 OptionsPane.Unknown:- desconocido
 OptionsPane.Unsuccessful:- sin Ã©xito
@@ -878,4 +918,5 @@
 Preferences.Connection.Library_Path_Tooltip:Es el URL del servidor Web Greenstone
 Preferences.Connection.Library_Path_Tooltip_GS3:URL del servidor web de Greenstone
+Preferences.Connection.Library_Path_Connection_Failure:Fallo al conectar. Chequee que el servidor Greenstone estÃ¡ corriendo en {0}.  
 Preferences.Connection.ProgramCommand:Orden de vista previa:  
 Preferences.Connection.ProgramCommand_Tooltip:Es la orden de inicio del programa usado para tener una vista previa de la colecciÃ³n. Recuerde usar %1 para indicar el lugar donde deberÃ¡ insertarse la direcciÃ³n de la colecciÃ³n y usar las marcas de habla donde sea necesario.  
@@ -899,4 +940,5 @@
 Preferences.General.Interface_Language_Tooltip:Seleccione el idioma en el que usted desea que aparezcan los controles y la interfaz.
 Preferences.General.Restart_Required:DeberÃ¡ reiniciar GLI para completar la carga de un nuevo idioma para la interfaz.  
+Preferences.General.Manual_Restart_Required:Por favor, reinicie el cliente GLI para aceptar los cambios en la configuraciÃ³n de la conexiÃ³n.  
 Preferences.General.Show_File_Size:Mostrar el tamaÃ±o de los ficheros  
 Preferences.General.Show_File_Size_Tooltip:Muestra el tamaÃ±o de los ficheros junto a cada una de las entradas de las estructuras de ficheros en el Ã¡rea de trabajo y en la colecciÃ³n.  
@@ -908,5 +950,6 @@
 Preferences.Mode.Assistant_Description:Utilice esta opciÃ³n para tener acceso a las funciones bÃ¡sicas de la Interfaz de Bibliotecario de Greenstone: aÃ±adir documentos y metadatos a las colecciones, crear nuevas colecciones cuya estructura refleje la de colecciones que ya existen y construir colecciones.  
 Preferences.Mode.Librarian:Bibliotecario
-Preferences.Mode.Librarian_Description:Este control le da un uso normal de la Interfaz de Bibliotecario Greenstone: crear y diseÃ±ar nuevas colecciones, aÃ±adir documentos y metadatos a las colecciones, diseÃ±ar nuevas colecciones y construir colecciones.  
+Preferences.Mode.Librarian_Description:Este control le da un uso normal de la Interfaz de Bibliotecario Greenstone: crear y diseÃ±ar nuevas colecciones, aÃ±adir documentos y metadatos a las colecciones y construir colecciones.
+  
 Preferences.Mode.Systems:Especialista en Sistemas de Bibliotecas
 Preferences.Mode.Systems_Description:Esta opciÃ³n permite el uso completo de la Interfaz de la Biblioteca Digital Greenstone. Para aprovechar todas las funciones disponibles usted deberÃ¡ ser capaz de formular expresiones regulares.